#' Extract Root URL
#'
#' Extracts the root URL from a given URL string by removing everything after
#' the first slash following the domain.
#'
#' @param url A character string representing a full URL.
#' @return A character string with the root URL.
#' @export
get_rooturl <- function(url) {
  gsub("([^\\/]\\/)[^\\/].*$", "\\1", url)
}
