#' Get Taxonomic Name
#'
#' Extracts the taxonomic name from parsed HTML/XML content.
#'
#' @param parsed Parsed HTML/XML content.
#' @return A character string with the taxonomic name.
#' @importFrom XML xpathSApply xmlValue
#' @export
get_taxname <- function(parsed) {
  XML::xpathSApply(
    parsed,
    "//p[b[contains(text(), 'Publication details')]]",
    XML::xmlValue
  ) |>
    gsub(pattern = "Publication details", replacement = "", x = _) |>
    gsub(pattern = ": .*$", replacement = "", x = _)
}
