% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_genusab.R
\name{get_genusab}
\alias{get_genusab}
\title{Extract Genus Information from AlgaeBase}
\usage{
get_genusab(
  genus = NULL,
  URL = NULL,
  getspecies = FALSE,
  nested = TRUE,
  gebaseurl = "https://www.algaebase.org/search/?genus="
)
}
\arguments{
\item{genus}{Character vector of genus names.}

\item{URL}{Character vector of URLs pointing to genus pages.}

\item{getspecies}{Logical; if TRUE, retrieves species-level information.}

\item{nested}{Logical; if TRUE, nests the results for each genus.}

\item{gebaseurl}{The base URL for AlgaeBase genus search.}
}
\value{
A tibble containing the genus and species information.
}
\description{
This function extracts genus-level information from AlgaeBase, either from a
genus name or a URL. Optionally, it retrieves species-level data.
}
