% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_taxab.R
\name{get_taxab}
\alias{get_taxab}
\title{Get Taxonomic Data}
\usage{
get_taxab(
  taxname,
  gettaxlevel = TRUE,
  getabid = TRUE,
  headless = FALSE,
  spbaseurl = "https://www.algaebase.org/search/?species="
)
}
\arguments{
\item{taxname}{A character vector containing the taxonomic name to search.}

\item{gettaxlevel}{Logical, if TRUE, fetches taxonomic classification levels.}

\item{getabid}{Logical, if TRUE, also returns species id (abid).}

\item{headless}{Logical, if TRUE, runs in headless mode for browser-based
interactions.}

\item{spbaseurl}{Base URL for the species search (default is Algaebase).}
}
\value{
A tibble containing the taxonomic information and related data.
}
\description{
Retrieves taxonomic information from an online database based on a species
name.
}
