% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_taxtree.R
\name{get_taxtree}
\alias{get_taxtree}
\title{Retrieve Taxonomic Tree from Algaebase}
\usage{
get_taxtree(
  taxid,
  level = 1,
  taxbaseurl = "https://www.algaebase.org/browse/taxonomy/?id="
)
}
\arguments{
\item{taxid}{Numeric. The taxonomic ID for the desired entry on Algaebase.}

\item{level}{Integer. The depth level of the taxonomic tree (default is 1).}

\item{taxbaseurl}{Character. The base URL of the Algaebase taxonomy query
(default: "https://www.algaebase.org/browse/taxonomy/?id=").}
}
\value{
A tibble containing taxonomic information, with sub-trees in list form.
}
\description{
This function retrieves taxonomic information for a given taxonomic ID (taxid)
from Algaebase and constructs a taxonomic tree.
}
