% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_tidytaxname.R
\name{get_tidytaxname}
\alias{get_tidytaxname}
\title{Clean and Extract Taxonomic Names}
\usage{
get_tidytaxname(taxname, type = "tax", addsp = FALSE)
}
\arguments{
\item{taxname}{A character vector containing the taxonomic names to be
processed.}

\item{type}{A character string specifying the type of name to return. Default
is "tax". Other options include "genus" or "species".}

\item{addsp}{Logical; if TRUE, adds "sp." to genus-only names.}
}
\value{
A character vector with cleaned taxonomic names.
}
\description{
This function cleans up taxonomic names by removing unwanted characters and
substrings and formats them into genus and species. It can also return genus
only, or the full taxonomic name depending on the input parameters.
}
\examples{
get_tidytaxname(c("Homo sapiens", "Panthera cf. leo", "Canis lupus var. familiaris"))
}
